<script>
	import PagePart from "@/components/page/Part.svelte"
	import PageTop from "@/components/page/Top.svelte"
	import FilterSelectorRow from "@/components/FilterSelector/Row.svelte"

	import { page } from "$app/stores"
	import { isLight } from "@/stores/static"

	$: hideSelector = $page.data.hideSelector
</script>

<template lang="pug">
	//- Top
	.no-print: PagePart: .top( class:dark='{!$isLight}' ): PageTop
	//- Body
	PagePart: slot
	+if('!hideSelector')
		.filter-selector-wrap: FilterSelectorRow
</template>

<style lang="scss">
	.top {
		border-bottom: 1px solid $black;
		transition: border-color .2s ease-in-out;
		&.dark {
			border-color: #434343;
		}
	}

	.filter-selector-wrap {
		:global(.section) {
			padding-top: 4rem;
		}
		:global(.container) {
			position: relative;
			&::before {
				content: "";
				display: block;
				width: 100%;
				height: 1px;
				background: $dark;
				position: absolute;
				left: 0;
				bottom: calc(100% + 3.25rem - 1px);
			}
		}
	}
</style>